[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TPropertiesToSkip.Add

Adds the specified property type and name to the list when not already present.

## Declaration

Source position: lresources.pp line 462

`public function TPropertiesToSkip.Add(`
`APersistentClass: TPersistentClass;`
`const APropertyName: string;`
`const ANote: string;`
`const AHelpKeyWord: string`
`):Integer;`

## Arguments

`APersistentClass` |  | Class type for the skipped property.
`APropertyName` |  | Name for the skipped property.
`ANote` |  | Note to associate with the skipped property.
`AHelpKeyWord` |  | Help keyword for the skipped property.

## Function result

Ordinal position in the list where the skipped property was found or stored.